Package org.eclipse.microprofile.openapi.annotations.media

# Annotation Type DiscriminatorMapping

@Target({}) @Retention(RUNTIME) @Inherited public @interface DiscriminatorMapping
This object maps payload values to a particular Schema.

See Also:
  - OpenAPI Specification Discriminator Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class<?>`
`schema`
The schema that is being mapped to a property value
`String`
`value`
The property value that will be mapped to a Schema

## Element Details

### value

String value
The property value that will be mapped to a Schema

Returns:
  the property value

Default:
  ""

### schema

Class<?> schema
The schema that is being mapped to a property value

Returns:
  the Schema reference

Default:
  java.lang.Void.class